<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractPsResult extends Model
{
    /**
     * Primary key type.
     *
     * @var string
     */
    protected $keyType = 'bigInteger';

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'created_at' => 'datetime',
        'updated_at' => 'datetime'
    ];

    // public function tests()
    // {
    //     return $this->morphOne('\App\Test', 'resultable', 'resultable_type', 'resultable_id');
    // }
    public function demand()
    {
        return $this->belongsTo('\App\Demand', 'demand_id');
    }
    public function tests()
    {
        return $this->belongsToMany('\App\Test', 'resultable', 'resultable_type', 'resultable_id');
    }
}
